libzypp 17.37.10

providefwd_p.h File Reference
`#include <zypp-media/ng/ProvideFwd>`

Go to the source code of this file.

## Namespaces
namespace | zyppng

## Typedefs
template<typename T>
using | zyppng::ProvidePromiseRef = std::shared_ptr<ProvidePromise<T>>
template<typename T>
using | zyppng::ProvidePromiseWeakRef = std::weak_ptr<ProvidePromise<T>>

## Functions
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (ProvideQueue)
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (ProvideWorker)
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (ProvideFileItem)
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (AttachMediaItem)
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (DetachMediaItem)
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (ProvideRequest)